Subject: fileserver problem

From: Biochemistry Administrators <[email-masked]>
Date: Sun, 16 Apr 1995 03:06:38 -0400 (EDT)

I am using the *simple* server recipe that's in the examples file.  I 
want the file to be sent and the message to be saved to folder "server".  
Here's my version in the rcfile:

          :0
          * ^Subject: get [0-9a-z]
          * !^X-Loop: [email-masked]
          * !^Subject:.*Re:
          * !^FROM_DAEMON
          * !^Subject: Re\: get file .*[/.]\.
          {
            MAILDIR=$HOME/fileserver

            :0 fhw
            * ^Subject: send file \/[^ ]*
            | formail -rA "X-Loop: [email-masked]" \
              -I "From: Biochem Help <[email-masked]>" \
              -I "Reply-To: [email-masked]"

            FILE="$MATCH"

            :0 ah
            | cat - ./$FILE 2>&1 | $SENDMAIL -oi -t
          }

#######################################################################
# The next recipe will only be used if the previous one matched
#######################################################################

     :0 A
     server

----------------
Problem: no file is sent out.  The original message does not go to 
$DEFAULT. The message only is saved according to my backup recipe (whew!) 

Here's the relevent log.  All these entries correspond to the single 
message.
---------------
>From [email-masked]  Sun Apr 16 01:51:52 1995
 Subject: get index.html
  Folder: 
backup/msg.fuW1                                                  1490
>From [email-masked]  Sun Apr 16 01:51:52 1995
 Subject: get index.html
  Folder:  cd backup && rm -f dummy `ls -t msg.* | sed -e 
1,32d`           1490
stty: TCGETS: Invalid argument
>From [email-masked]  Sun Apr 16 01:51:52 1995
 Subject: get index.html
  Folder: back                                                   1490
procmail: Skipped "$SENDMAIL -t"
>From [email-masked]  Sun Apr 16 01:51:52 1995
 Subject: get index.html
  Folder: server                                                 1490
------------------

The message does NOT get saved to "server" as the log file claims. And 
why did procmail skip $SENDMAIL...? (the first three entries are the two 
backup recipes I'm trying)

This brings me to another question.  Why does From contain what it does?  
It is not the sender, it is not To:.

I would appreciate any suggestions on recipe style or fixing the problem. 

--Neerav